model efecto_tcn
  Modelica.Blocks.Math.Add add1(k2 = -1) annotation(Placement(visible = true, transformation(origin = {-20, 60}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.TimeTable TCN_IMPLICITO(table = [0, 2.331; 1, 2.331; 2, 2.331; 3, 2.331; 4, 2.331; 5, 2.331; 6, 2.331; 7, 2.331; 8, 2.331; 9, 2.331; 10, 2.331; 11, 2.331; 12, 2.331; 13, 3.864; 14, 3.864; 15, 3.864; 16, 3.864; 17, 3.864; 18, 3.864; 19, 3.864; 20, 3.864; 21, 3.864; 22, 3.864; 23, 3.864; 24, 3.864]) annotation(Placement(visible = true, transformation(origin = {-74, 78}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.TimeTable TCN_CONTROLADO(table = [0, 2.1; 1, 2.1; 2, 2.1; 3, 2.1; 4, 2.1; 5, 2.1; 6, 2.1; 7, 2.1; 8, 2.1; 9, 2.1; 10, 2.1; 11, 2.1; 12, 2.1; 13, 2.2; 14, 2.2; 15, 2.2; 16, 2.2; 17, 2.2; 18, 2.2; 19, 2.2; 20, 2.2; 21, 2.2; 22, 2.2; 23, 2.2; 24, 2.2]) annotation(Placement(visible = true, transformation(origin = {-76, 38}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Interfaces.MassOutPort efectotcn annotation(Placement(visible = true, transformation(origin = {92, 30}, extent = {{10, -10}, {-10, 10}}, rotation = 180), iconTransformation(origin = {90, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Math.Log log1 annotation(Placement(visible = true, transformation(origin = {3, 85}, extent = {{-7, -7}, {7, 7}}, rotation = 0)));
  SystemDynamics.Auxiliary.Prod_2 prod_21 annotation(Placement(visible = true, transformation(origin = {27, 89}, extent = {{-7, -7}, {7, 7}}, rotation = 270)));
  Modelica.Blocks.Logical.GreaterEqualThreshold greaterequalthreshold1 annotation(Placement(visible = true, transformation(origin = {8, 12}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Interfaces.MassInPort potencia annotation(Placement(visible = true, transformation(origin = {26, 60}, extent = {{-16, -16}, {16, 16}}, rotation = 90), iconTransformation(extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Math.Exp EFECTO_TCN annotation(Placement(visible = true, transformation(origin = {51, 79}, extent = {{-7, -7}, {7, 7}}, rotation = -90)));
  Modelica.Blocks.Logical.Switch switch1 annotation(Placement(visible = true, transformation(origin = {58, 14}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  SystemDynamics.Auxiliary.Const const1 annotation(Placement(visible = true, transformation(origin = {20, -30}, extent = {{-10, -10}, {10, 10}}, rotation = -90)));
equation
  connect(switch1.y, efectotcn) annotation(Line(points = {{69, 14}, {86, 14}, {86, 30}, {86, 30}}, color = {0, 0, 127}));
  connect(const1.y, switch1.u3) annotation(Line(points = {{27, -30}, {44, -30}, {44, 6}, {44, 6}}, color = {0, 0, 127}));
  connect(EFECTO_TCN.y, switch1.u1) annotation(Line(points = {{51, 71}, {48.75, 71}, {48.75, 65}, {40.5, 65}, {40.5, 22}, {46, 22}}, color = {0, 0, 127}));
  connect(greaterequalthreshold1.y, switch1.u2) annotation(Line(points = {{19, 12}, {27.5, 12}, {27.5, 14}, {46, 14}}, color = {255, 0, 255}));
  connect(prod_21.y, EFECTO_TCN.u) annotation(Line(points = {{32, 89}, {32, 90.5}, {51, 90.5}, {51, 87}}, color = {0, 0, 127}));
  connect(potencia, prod_21.u2) annotation(Line(points = {{26, 60}, {27, 60}, {27, 84}}, color = {95, 0, 191}));
  connect(add1.y, greaterequalthreshold1.u) annotation(Line(points = {{-9, 60}, {-3.5, 60}, {-3.5, 12}, {-4, 12}}, color = {0, 0, 127}));
  connect(log1.y, prod_21.u1) annotation(Line(points = {{11, 85}, {11, 96.5}, {27, 96.5}, {27, 94}}, color = {0, 0, 127}));
  connect(add1.y, log1.u) annotation(Line(points = {{-9, 60}, {-5, 60}, {-5, 85}}, color = {0, 0, 127}));
  connect(TCN_IMPLICITO.y, add1.u1) annotation(Line(points = {{-63, 78}, {-32, 78}, {-32, 66}, {-32, 66}}, color = {0, 0, 127}));
  connect(TCN_CONTROLADO.y, add1.u2) annotation(Line(points = {{-65, 38}, {-32, 38}, {-32, 54}, {-32, 54}}, color = {0, 0, 127}));
  annotation(Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2}), graphics = {Rectangle(origin = {0, -1}, extent = {{-80, 81}, {80, -79}}), Text(origin = {-1, 6}, extent = {{-53, 36}, {53, -36}}, textString = "efecto\n tcn")}));
end efecto_tcn;