model sector_agroindustrial
  industria industria1 annotation(Placement(visible = true, transformation(origin = {-1, 27}, extent = {{-25, -25}, {25, 25}}, rotation = 0)));
  consumo consumo1 annotation(Placement(visible = true, transformation(origin = {68, 36}, extent = {{-30, -30}, {30, 30}}, rotation = 0)));
  cultivo cultivo1 annotation(Placement(visible = true, transformation(origin = {-68, 28}, extent = {{-26, -26}, {26, 26}}, rotation = 0)));
equation
  connect(cultivo1.trasladoindustria, industria1.trasladoindustria) annotation(Line(points = {{-45, 20}, {-23.5, 20}, {-23.5, 18.5}}, color = {95, 0, 191}));
  connect(industria1.requerimiento_insumo, cultivo1.requerimiento_insumo) annotation(Line(points = {{-23.5, 37}, {-32.25, 37}, {-32.25, 38}, {-45, 38}}, color = {95, 0, 191}));
  connect(industria1.trasladomercado, consumo1.traslado_mercado) annotation(Line(points = {{21.5, 27}, {40, 27}, {40, 24}, {40, 24}}, color = {95, 0, 191}));
  connect(consumo1.demanda, industria1.demanda) annotation(Line(points = {{41, 52}, {22, 52}, {22, 42}, {22, 42}}, color = {95, 0, 191}));
  annotation(Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})));
end sector_agroindustrial;